Rated 1 out of 5 stars

VERSION 1.4 *DOES NOT WORK WITH FF 27.X
INSTAL. 1.3 before driving self mad looking for a solution (see very bottom of page for "Version History"

This review is for a previous version of the add-on (1.4.1-signed).